AUTOMAKE_OPTIONS = foreign no-dependencies no-installinfo
INCLUDES = -I@top_srcdir@ @ROOT_INCLUDES@
LDFLAGS = @ROOT_LDFLAGS@

YODA_HEADER_FILES           = VarDumpEvent.h VarDumpRecord.h
yodaincdir                  = $(includedir)/yoda/event/varDump
yodainc_HEADERS             = ${YODA_HEADER_FILES}

YODA_SOURCES                = VarDumpEvent.cpp VarDumpRecord.cpp

BUILT_SOURCES               = VarDumpDict.cpp VarDumpDict.h

noinst_LTLIBRARIES          = libvardumpevent.la

libvardumpevent_la_SOURCES  =   ${YODA_HEADER_FILES}   \
                                ${YODA_SOURCES}        \
                                ${BUILT_SOURCES}       \
                                LinkDef.h

VarDumpDict.cpp: ${YODA_HEADER_FILES} LinkDef.h
	@ROOTCINT@ -f $@ -c ${INCLUDES} $^
